
/*****************************************************/
/*****     INTRODUTION DE LA STRUCTURE PILE     *****/
/*****************************************************/

#ifndef PILE_H
#define PILE_H

#include "imgdef.h"
typedef float Objet;
const int BDP = -1;                    // Base de la Pile
const int dimension_pile=255;

class EXP_CLASS Pile {
public:
			Pile(int dim = dimension_pile);
			~Pile();
			int pile_vide() { return cime == BDP; }
			int pile_pleine() { return cime == dimension-1; }
			void mettre(Objet valeur);
			Objet prendre();
			Objet test();
			void vide();
private:
			int cime;
			int dimension;
			Objet *vecteur;
};
#endif